Bug 1392476 - ssl::server_name ACL badly broken since inception
Summary: ssl::server_name ACL badly broken since inception
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-07 15:15 UTC by Andrew Peek
Modified: 2017-01-20 17:53 UTC (History)
5 users (show)

Fixed In Version: squid-4.0.17-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 17:53:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew Peek 2016-11-07 15:15:11 UTC
Please consider releasing Squid 4.0.16, there have been a large number of bugs fixed in upstream since 4.0.11 and one in particular is causing me problems.

From 4.0.16 changelog,   ssl::server_name ACL badly broken since inception (trunk r14008).

This bug means bypassing of peek-n-splice SSL inspection using ACL's is broken. The functionality is required for certain sites such as windows update. The rules were happily working in fc24 squid 3.5.20, before I upgraded to fc25.

Thank you,
Andrew Peek

Comment 1 Fedora Update System 2016-11-07 16:23:57 UTC
squid-4.0.16-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6009aca927

Comment 2 Fedora Update System 2016-11-09 02:25:52 UTC
squid-4.0.16-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6009aca927

Comment 3 Andrew Peek 2016-11-09 16:28:08 UTC
Lubos,

Thank you for making 4.0.16 available, this update does indeed fix the acl problem reported. Peek-n-spice is working again as expected.

Regards
Andrew

Comment 4 Fedora Update System 2016-12-20 14:06:04 UTC
squid-4.0.17-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c614315d29

Comment 5 Fedora Update System 2016-12-20 19:21:39 UTC
squid-4.0.17-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c614315d29

Comment 6 Fedora Update System 2017-01-20 17:53:03 UTC
squid-4.0.17-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.